# -*- coding: utf-8; indent-tabs-mode: nil; tab-width: 2; -*-
#

---
#
# root user
#

- include: epel.yml

- include: php.yml

- include: mysql.yml
  when: ( ansible_distribution == "CentOS" or ansible_distribution == "RedHat" ) and ansible_distribution_major_version == "6"

- include: mariadb.yml
  when: ( ansible_distribution == "CentOS" or ansible_distribution == "RedHat" ) and ansible_distribution_major_version == "7"

- name: Installing Archive packages
  yum: name={{ item }} state=latest
  with_items:
    - gzip
    - unzip
    - zip

- name: Creating SugarCRM Install Folder
  file: path={{ sugarcrm_install_folder }} state=directory mode=755 owner=apache group=apache

- name: Install SugarCRM
  unarchive: copy=true creates={{ sugarcrm_install_folder }}/sugarcrm src={{sugarcrm_archive}} dest={{ sugarcrm_install_folder }} owner=apache group=apache

- name: Fixing Permissions
  file: path={{ sugarcrm_install_folder }}/sugarcrm state=directory mode=755 owner=apache group=apache

- name: Adding SugarCRM Cron Job
  cron: name="SugarCRM Cron" user="apache" job="cd {{ sugarcrm_install_folder }}/sugarcrm; php -f cron.php > /dev/null 2>&1"

- name: Adding httpd config file
  template: src=templates/files/etc/httpd/conf.d/sugarcrm.conf dest=/etc/httpd/conf.d/sugarcrm.conf
  notify:
    - Restart httpd

- name: Configure SugarCRM
  template: src=templates/files/var/www/html/sugarcrm/config_si.php dest={{sugarcrm_install_folder}}/sugarcrm/config_si.php owner=apache group=apache
  notify:
    - Initialize SugarCRM

#- name: Initialize SugarCRM
#  shell: cd {{ sugarcrm_install_folder }}/sugarcrm; /usr/bin/php silent_installer.php 127.0.0.1/sugarcrm/

#- name: Fixing Permissions Final Step
#  file: path={{ sugarcrm_install_folder }}/sugarcrm state=directory recurse=yes mode=755 owner=apache group=apache

